---
# Basic packages to install on all systems
basic_packages: 
  - vim
  - htop
  - at
  - sudo
  - ntp
  - apt-transport-https
  - lvm2
  - ca-certificates
  - software-properties-common
  - python3
  - python3-pip
  - python3-virtualenv
  - curl
  - cron
  - screen

# Java packages that need to be removed (Docker images for the ELK stack already have a JRE installed)
old_java_versions:
  - openjdk-8-jre-headless
  - openjdk-8-jre
  - openjdk-9-jre-headless
  - openjdk-9-jre
  - openjdk-10-jre-headless
  - openjdk-10-jre
  - openjdk-11-jre-headless
  - openjdk-11-jre

# Python2 has been deprecated, remove from system to avoid ansible from  using outdated/unsupported packages
obsolete_python_binaries:
  - /usr/bin/python
  - /usr/bin/pip  

# Python packages to be replaced
python_binaries:
  - { src: /usr/bin/python3 , dest: /usr/bin/python} 
  - { src: /usr/bin/pip3 , dest: /usr/bin/pip} 


